using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.Sql;
using System.Data.SqlClient;
namespace DataGridDemo
{
    public partial class _Default : System.Web.UI.Page
    {
        string conString = @"Data Source=.\SQLEXPRESS;AttachDbFilename=""|DataDirectory|\Employee.mdf"";Integrated Security=True;User Instance=True";
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                bindData();
            }
        }

        private void bindData()
        {
            SqlConnection con = null;
            SqlDataAdapter adp = null;
            try
            {
                con = new SqlConnection(conString);
                con.Open();
                adp = new SqlDataAdapter("Select * from Employee",con);
                DataSet ds = new DataSet();
                adp.Fill(ds);

                grdEmp.DataSource = ds;
                grdEmp.DataBind();
            }
            catch (CustomException ex)
            {
                ex.logException();
            }finally{
                con.Close();
            }
        }
        
        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            SqlConnection con = null;
            SqlCommand cmd = null;
            try
            {
                con = new SqlConnection(conString);
                con.Open();
                cmd = new SqlCommand("AddEmployee", con);
                cmd.CommandType = CommandType.StoredProcedure;
                cmd.Parameters.AddWithValue("@FName", txtFName.Text);
                cmd.Parameters.AddWithValue("@LName", txtLName.Text);
                cmd.Parameters.AddWithValue("@Email", txtEmail.Text);
                cmd.ExecuteNonQuery();
                showConfirmationMessage();
                bindData();
            }
            catch (CustomException ex)
            {
                ex.logException();
            }finally{
                con.Close();
            }
        }

        private void showConfirmationMessage()
        {
            ClientScriptManager csMngr = Page.ClientScript;
            csMngr.RegisterStartupScript(Page.GetType(), "Success", "alert('Record Added succesfully');", true);
        }
    }
}
